Skip to main content
Get Ticket Entity

Headers

Accept-Language
string

Convert string references and multi-language values into a specified language (iso2) code.

SO-Language
string

Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value.

SO-Culture
string

Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set.

SO-TimeZone
string

Specify the timezone code that you would like date/time responses converted to.

SO-AppToken
string

The application token that identifies the partner app. Used when calling Online WebAPI from a server.

Query Parameters

ticketEntityId
integer<int32>
required

The identifier of the TicketEntity object

$select
string

Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields.

Response

OK

The ticket entity is used for representing a service ticket Carrier object for TicketEntity. Services for the TicketEntity Carrier is available from the Ticket Agent.

TicketId
integer<int32>

The primary key (auto-incremented)

Title
string

The title of the ticket.

CreatedAt
string<date-time>

When the ticket was created.

LastChanged
string<date-time>

The last time the ticket was modified.

ReadByOwner
string<date-time>

The datetime for when the ticket last was read by the owner.

ReadByCustomer
string<date-time>

The datetime for when the ticket was read by the customer.

FirstReadByOwner
string<date-time>

The datetime for when the ticket first was read by the current owner.

FirstReadByUser
string<date-time>

The datetime for when the ticket first was read by a user.

Activate
string<date-time>

When the ticket should be activated, if it is postponed.

ClosedAt
string<date-time>

When the ticket was closed.

RepliedAt
string<date-time>

The datetime for when the ticket was replied to. I.e. the first external message added to the ticket.

AlertTimeout
string<date-time>

The datetime for when the ticket should jump to the next alert_level.

Deadline
string<date-time>

Deadline for ticket.

CreatedBy
object

Carrier object for Associate. Services for the Associate Carrier is available from the Associate Agent.

Author
string

A string representing the author of the ticket (same as author of first message).

OwnedBy
object

Carrier object for Associate. Services for the Associate Carrier is available from the Associate Agent.

Category
object

This entity describes the meta data for a ticket category, and provides special operations on it. Carrier object for TicketCategoryEntity. Services for the TicketCategoryEntity Carrier is available from the List Agent.

Slevel
enum<string>

The securitylevel of the ticket.

Available options:
Unknown,
Internal,
External
Priority
object

Entity for a ticket priority. This entity describes the meta data for a ticket priority, and provides special operations on it. Carrier object for TicketPriorityEntity. Services for the TicketPriorityEntity Carrier is available from the List Agent.

BaseStatus
enum<string>

The status of the ticket. I.e. active/closed/postponed/deleted Use MDO List name "ticketstatus" to get list items.

Available options:
Unknown,
Active,
Closed,
Postponed,
Deleted,
Merged,
Spam,
PostponedSpecific,
Postponed1Hour,
Postponed2Hours,
Postponed3Hours,
Postponed4Hours,
PostponedDay,
PostponedWeek,
PostponedMonth
Status
object

Entity for a ticket status. This entity describes the meta data for a ticket status, and provides special operations on it. Carrier object for TicketStatusEntity. Services for the TicketStatusEntity Carrier is available from the List Agent.

Origin
enum<string>

What is the origin of this ticket

Available options:
Unknown,
Email,
SMS,
Fax,
Phone,
Facebook,
Twitter,
Internal,
CustomerCentre,
EMarketing,
AutoGenerated,
Chat,
Form,
API,
Flow
Person
object

Carrier object for Person. Services for the Person Carrier is available from the Person Agent.

SecondaryPersons
object[]

The secondary persons this ticket is connected to Use MDO List name "person_new" to get list items.

AlertLevel
integer<int32>

The alert level for the ticket. Matches the level value of the ticket_alert table.

ConnectId
integer<int32>

If a ticket is connected to another ticket, this field is set to the id of the 'master' ticket.

ReadStatus
enum<string>

Whether the owner has read the ticket or not (red, yellow, green).

Available options:
Unknown,
Green,
Yellow,
Red
TimeToReply
integer<int32>

The time (minutes) between when the ticket was created and when it was replied to. Calculated based on priority's timeframe.

RealTimeToReply
integer<int32>

Same as time_to_reply, but not calculated based on priority.

TimeToClose
integer<int32>

The time (minutes) between when the ticket was created and when it was closed. Calculated based on priority's timeframe.

RealTimeToClose
integer<int32>

Same as time_to_close, but not calculated based on priority.

TimeSpentInternally
integer<int32>

The total time (seconds) within the priority's office hours the ticket has been in an open status (configurable), not including current state

TimeSpentExternally
integer<int32>

The total time (seconds) within the priority's office hours the ticket has been in a external waiting status (configurable), not including current state

TimeSpentQueue
integer<int32>

The total time (seconds) within the priority's office hours the ticket has been in a queue status, not including current state

RealTimeSpentInternally
integer<int32>

The total time (seconds) within 24x7 the ticket has been in an open status (configurable), not including current state

RealTimeSpentExternally
integer<int32>

The total time (seconds) within 24x7 the ticket has been in a external waiting status (configurable), not including current state

RealTimeSpentQueue
integer<int32>

The total time (seconds) within 24x7 hours the ticket has been in a queue status, not including current state

TimeSpent
integer<int32>

The total time (minutes). Aggregated time spent from ticket's messages. Read-only for external use.

HasAttachment
boolean

Boolean indicating if this ticket has one or more attachments.

NumReplies
integer<int32>

The number of replies (messages) to the customer for this request.

NumMessages
integer<int32>

The total number of messages for this request.

FromAddress
string

The from-address used when this ticket got created, e.g. by email

Messages
object[]

TicketMessageId,CreatedAt,SLevel and Important for all the messages connected to this ticket. For message body see the TicketMessageEntity or the TicketMessage archive.

Tags
object[]

An array containing the tags assigned to this request

Language
string

The language of the first external message

Sentiment
integer<int32>

The sentiment index of the last external message

SentimentConfidence
integer<int32>

The sentiment confidence of the last external message

SuggestedCategoryId
integer<int32>

Suggestion for categorization, based on the text of the message (AI)

SuggestedCategoryName
string

Suggested category from AI

OrigHumanCategoryId
integer<int32>

Will contain the category id selected by the user, when having the choice of using the suggested category or manually selecting a category

IconHint
string

Icon representing ticket's state

Sale
object

Carrier object for Sale. Services for the Sale Carrier is available from the Sale Agent.

Project
object

Carrier object for Project. Services for the Project Carrier is available from the Project Agent.

FormSubmission
object

Class representing form submission related to ticket. Carrier object for TicketFormSubmission.

TicketType
object

Ticket Type - light read-only version of TicketTypeEntity. Carrier object for TicketType. Services for the TicketType Carrier is available from the List Agent.

ActiveStatusMonitorId
integer<int32>

Active status monitor identity for related contact. This is a read-only property and is ignored on Save

ExtraFields
object

Deprecated: Use {SuperOffice.CRM.Services.TicketEntity.CustomFields} instead. Extra fields added to the carrier. This could be data from Plug-ins, the foreign key system, external applications, etc.

CustomFields
object

Udef + Extra fields added to the carrier. Extra fields as defined by changes to database schema + user-defined fields as defined by admin. Custom fields combines user defined fields and extra fields into one bucket. The individual {SuperOffice.CRM.Services.TicketEntity.ExtraFields} and UserDefinedFields properties are deprecated in favor of this combined collection.

TableRight
object

Wraps a table right together with an explanatory reason. Code can indicate why access is restricted.

FieldProperties
object

Field property dictionary mapping field names to field access rights.